#########################################
# Envia SMS con www.wanadoo.com.lb      #
#########################################

proc envia_sms_plugged { login passwd numero mensaje count conexion estado} {

#global mensaje
    switch -exact -- $estado {
	0 {
	    borra_cookies
	    set error 0
	    set mensaje [traduce $mensaje plugged}
	    boton_enviar disabled
	    boton_contar disabled
	    boton_cancelar normal

	    .dos.debug delete 0.0 end
 #Envio 1/3
	    barra_progreso [expr 100 / 5]
	    barra_estado "Conectando..."
	    debug "Conectando..."

	    if {[catch { set conexion [socket -async "195.14.149.2" "80"]} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
	    }

	    if { !($error) } {
		cancelar $conexion
		fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
		fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 1"
	    }
	}
	1 {
	    fconfigure $conexion -blocking 1
	    barra_estado "Conectado!"
	    debug "Conectado!"
	    barra_progreso [expr 200 / 6]
	    puts $conexion "GET http://www.wanadoo.com.lb/sms/default.asp?language=1 HTTP/1.0\n"
	    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*\n"
	    puts $conexion "Accept-Language: es\n"
	    puts $conexion "Content-Type: application/x-www-form-urlencoded\n"
	    puts $conexion "Accept-Encoding: gzip, deflate\n"
	    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)\n"
	    puts $conexion "Connection: Keep-Alive\n"
	    puts $conexion "Pragma: no-cache\n"
	    puts $conexion "Host: www.wanadoo.com.lb\n"
	    flush $conexion
	    fconfigure $conexion -blocking 0
	    fileevent $conexion readable "envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 2"
	}
	2 {
	    barra_estado "Esperando Cookie..."
	    debug "Esperando Cookie..."
	    if {[eof $conexion]} {
	#Si hemos llegado hasta aqui, es que no hemos conseguido la cookie
		close $conexion ;#Relanzar?
	    } else {
		set linea_entrada [gets $conexion]
		if {[string compare $linea_entrada "Set-Cookie" ]==1 } {
		    set galleta [ string range $linea_entrada 12 [expr [string length $linea_entrada] -9]]
		    .dos.debug insert end "\nGalleta conseguida!"
		    .dos.debug see end
		    close $conexion
		    cancelar 0
		    envia_sms_plugged $login $passwd $numero $mensaje $count 0 3
		}
		.dos.debug insert end "\n$linea_entrada"
		.dos.debug see end
		append respuesta "$linea_entrada\n"
	    }
	}
	3 {
	    set error 0
	    barra_estado "Login..."
	    debug "Login..."
	    if {[catch { set conexion [socket -async "195.14.149.21" "80"]
	    } excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
	    }
	    
	    
	    if { !($error) } {
		cancelar $conexion
		fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
		fileevent $conexion writable "fileevent $conexion writable \"\" ; envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 1"
	    }
	}
	4 {
	    fconfigure $conexion -blocking 1
	    barra_estado "Loggeando..."
	    debug "Loggeando..."
	    barra_progreso [expr 300 / 6]
	    set galleta [cookie galleta]
	    puts $conexion "POST http://www.wanadoo.com.lb/signin.asp?signin=1&language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1 HTTP/1.0"
	    puts $conexion "Referer: http://www.wanadoo.com.lb/signin.asp?language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1"
	    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
	    puts $conexion "Accept-Language: es"
	    puts $conexion "Content-Type: application/x-www-form-urlencoded"
	    puts $conexion "Accept-Encoding: gzip, deflate"
	    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
	    puts $conexion "Connection: Keep-Alive"
	    puts $conexion "Pragma: no-cache"
	    puts $conexion "Host: www.wanadoo.com.lb"
	    set linea "MemberName=$login&Password=$passwd"
	    puts $conexion "Content-Length: [string length $linea]"
	    puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1"
	    puts $conexion ""
	    set linea2 "POST http://www.wanadoo.com.lb/signin.asp?signin=1&language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1 HTTP/1.0"
	    set linea2 $linea$linea2
	    puts $conexion $linea2
	    puts $conexion "Referer: http://www.wanadoo.com.lb/signin.asp?language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1"
	    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
	    puts $conexion "Accept-Language: es"
	    puts $conexion "Content-Type: application/x-www-form-urlencoded"
	    puts $conexion "Accept-Encoding: gzip, deflate"
	    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
	    puts $conexion "Connection: Keep-Alive"
	    puts $conexion "Pragma: no-cache"
	    puts $conexion "Host: www.wanadoo.com.lb"
	    puts $conexion "Content-Length: [ string length $linea ]"
	    puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1"
	    puts $conexion ""
	    puts $conexion $linea2
	    flush $conexion
	    debug "Esperando Login..."
	    barra_estado "Esperando login..."
	    fconfigure $conexion -blocking 0
	    fileevent $conexion readable "envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 5"
	}
	
	5 {
	    if {[eof $conexion]} {
		close $conexion
		#la hemos cagau :( Saltar al estado de error (futuro)
		envia_sms_plugged $login $passwd $numero $mensaje $count 0 6
	    } else {
		#Para buscar SigninUserName
		set filtro {([S][i][g][n][i][n][U][s][e][r][N][a][m][e]['][,]['])(([0-9]|[a-z])+)}
		set salir 0
		set sun ""
		set linea_entrada [gets $conexion]
		debug $linea_entrada
		if {[regexp $filtro $linea_entrada tmp pillado sun]==1} {
		    debug "SigninUserName cogido:$sun"
		    set_cookie sun $sun
		    close $conexion
		    cancelar 0
		    envia_sms_plugged $login $passwd $numero $mensaje $count 0 6
		}
	    }
	}
	6 {
	    barra_progreso [expr 400 / 6]
	    barra_estado "Accediendo a SMS..."
	    debug "Accediendo a SMS..."
	    if {[catch { set conexion [socket "195.14.149.21" "80"]
	    } except_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
	    }
	    if { !($error) } {
		cancelar $conexion
		fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
		fileevent $conexion writable "fileevent $conexion writable \"\" ; envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 7"
	    }
	}
	7 {
	    fconfigure $conexion -blocking 1
	    puts $conexion "GET http://www.wanadoo.com.lb/sms/default.asp?language=1 HTTP/1.0"
	    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
	    puts $conexion "Accept-Language: es"
	    puts $conexion "Content-Type: application/x-www-form-urlencoded"
	    puts $conexion "Accept-Encoding: gzip, deflate"
	    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
	    puts $conexion "Connection: Keep-Alive"
	    puts $conexion "Pragma: no-cache"
	    puts $conexion "Host: www.wanadoo.com.lb"
	    puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1; SigninUserName=$sun"
	    puts $conexion ""
	    puts $conexion "GET http://www.wanadoo.com.lb/sms/default.asp?language=1 HTTP/1.0"
	    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
	    puts $conexion "Accept-Language: es"
	    puts $conexion "Content-Type: application/x-www-form-urlencoded"
	    puts $conexion "Accept-Encoding: gzip, deflate"
	    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
	    puts $conexion "Connection: Keep-Alive"
	    puts $conexion "Pragma: no-cache"
	    puts $conexion "Host: www.wanadoo.com.lb"
	    puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1; SigninUserName=$sun"
	    puts $conexion ""
	    flush $conexion
	    fconfigure $conexion -blocking 0
	    fileevent $conexion readable "envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 8"
	}
	8 {
	    debug "Esperando ID"
	    barra_estado "Esperando ID"
	    if {[eof $conexion]} {
		close $conexion
		//enviar a estado de error
		envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 9
	    } else {
		
		set filtro {([n][a][m][e][=][s][i][d][ ][v][a][l][u][e][=][\"])([0-9]+)}
		set filtro2 {([O][p][e][n][H][i][s][t][o][r][y])([0-9]+)}
		set salir 0
		set id 0
		set sms 0
		set linea_entrada [gets $conexion]
		if { [ string compare $linea_entrada "" ]!=0 } {
		    if {[ regexp $filtro $linea_entrada tmp pillado id]==1 } {
			set_cookie id $id
			debug "ID conseguido:$id"
			close $conexion
			envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 9
		    }
		    if {[ regexp $filtro2 $linea_entrada tmp pillado sms]==1 } {
			debug "Contados:$sms SMS"
		    }
		    debug "$linea_entrada"
		}
	    };#if error conexion
	}
	#Envio 4/4
	9 {
	    barra_progreso [expr 500 / 6]
	    barra_estado "Enviando SMS..."
	    debug "Enviando SMS..."
	    if {[catch { set conexion [socket "195.14.149.21" "80"]
	    } excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
	    }
	    if { !($error) } {
		cancelar $conexion
		fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
		fileevent $conexion writable "fileevent $conexion writable \"\" ; envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 10"
	    }
	}
	
	10 {
	    fconfigure $conexion -blocking 1
	    set id [cookie id]
	    puts $conexion "POST http://www.wanadoo.com.lb/sms/default.asp?language=1 HTTP/1.0"
	    puts $conexion "Referer: http://www.wanadoo.com.lb/sms/default.asp?language=1"
	    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
	    puts $conexion "Accept-Language: es"
	    puts $conexion "Content-Type: application/x-www-form-urlencoded"
	    puts $conexion "Accept-Encoding: gzip, deflate"
	    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
	    puts $conexion "Connection: Keep-Alive"
	    puts $conexion "Pragma: no-cache"
	    puts $conexion "Host: www.wanadoo.com.lb"
	    set linea "message=$texto&counter=100&region=34&msidn=$numero&submit1=Send&sid=$id";#intentar poniendo siempre 100 el counter
	    puts $conexion "Content-Length: [string length $linea]"
	    puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1; SigninUserName=$sun"
	    puts $conexion ""
	    puts $conexion $linea
	    flush $conexion
	    fconfigure $conexion -blocking 0
	    fileevent $conexion readable "envia_sms_plugged $login $passwd $numero $mensaje $count $conexion 11"
	}
	11 {
	    #Para pillar cuantos quedan
	    set filtro {([O][p][e][n][H][i][s][t][o][r][y])([0-9]+)}
	    set salir 0
	    set linea_entrada [gets $conexion]
	    if { [ string compare $linea_entrada "" ]!=0 } {
		if {[ regexp $filtro $linea_entrada tmp pillado sms]==1 } {
		    debug "Contados:$sms SMS"
		}
		debug "$linea_entrada"
	    }
	    if {[eof $conexion]} {
		close $conexion
		boton_enviar normal
		boton_contar normal
		boton_cancelar disabled
	    }
	}
    }

#########################################
# Envia SMS con Everyday.com             #
#########################################

proc envia_sms_everyday { login passwd numero mensaje count conexion estado} {
global ver

switch -exact -- $estado {
0 {
   borra_cookies
   set error 0
   set mensaje [traduce $mensaje "everyday"]
   boton_enviar disabled
   boton_contar disabled
   boton_cancelar normal

   .dos.debug delete 0.0 end
#Envio 1/3
   barra_progreso [expr 100 / 5]
   barra_estado "Conectando..."
   debug "Conectando..."

   if {[catch { set conexion [socket -async "212.107.32.196" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}

   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_everyday $login $passwd $numero $mensaje $count $conexion 1"
   }
}

1 {
   fconfigure $conexion -blocking 1
   barra_estado "Conectado!"
   debug "Conectado!"
   barra_progreso [expr 200 / 5]
   puts $conexion "GET http://sms.everyday.com/ HTTP/1.0"
   puts $conexion "Referer: http://sms.everyday.com/"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: es.everyday.com"
   puts $conexion ""
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_everyday $login $passwd $numero $mensaje $count $conexion 2"
}

2 {
   barra_estado "Esperando Cookie..."
   debug "Esperando Cookie..."

 #Para buscar Cookie
   set filtro {([S][e][t][-][C][o][o][k][i][e][:][ ][A][p][a][c][h][e][E][E][=])(([0-9]|[a-z]|[A-Z]|[+])+)}
   set galleta ""
   if {[eof $conexion]} {
     #si hemos llegado hasta aqui es pq no hemos cogido la cookie :( dar mensaje de error
     #cerrar y restablecer :(
     close conexion
     cancelar 0
     envia_sms_everyday $login $passwd $numero $mensaje $count 0 3 ;#Enviar a un estado de error
   } else {
     set linea_entrada [gets $conexion]
     debug $linea_entrada
     if {[ regexp $filtro $linea_entrada tmp pillado galleta]==1 } {
       debug "galleta cogida:$galleta"
       set_cookie galleta $galleta
       close $conexion
       cancelar 0
       envia_sms_everyday $login $passwd $numero $mensaje $count 0 3 ;#correcto
     }
   }
}

3 {
#Envio 2/3
   set error 0
   barra_estado "Login..."
   debug "Login..."
   if {[catch { set conexion [socket -async "212.107.32.196" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_everyday $login $passwd $numero $mensaje $count $conexion 4"
   }
}

4 {
   fconfigure $conexion -blocking 1
   barra_progreso [expr 300 / 5]
   set galleta [cookie galleta]
   puts $conexion "GET /login.phtml?login_username=$login&login_password=$passwd HTTP/1.0"
   puts $conexion "Referer: http://sms.es.everyday.com/"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: sms.everyday.com"
   puts $conexion "Cookie: ApacheEE=$galleta; BrowserDetect=passed"
   puts $conexion ""
   puts $conexion "GET /login.phtml?login_username=$login&login_password=$passwd HTTP/1.0"
   puts $conexion "Referer: http://sms.es.everyday.com/"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: sms.everyday.com"
   puts $conexion "Cookie: ApacheEE=$galleta; BrowserDetect=passed"
   puts $conexion ""
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_everyday $login $passwd $numero $mensaje $count $conexion 5"
}

5 {
   if {[eof $conexion]} {
     close $conexion
     cancelar 0
     envia_sms_everyday $login $passwd $numero $mensaje $count 0 6
   } else {
     set linea_entrada [gets $conexion]
     debug $linea_entrada
   }
}

6 {
#Envio 3/3
   set error 0
   barra_progreso [expr 500 / 6]
   barra_estado "Enviando SMS..."
   debug "Enviando SMS..."
   if {[catch { set conexion [socket -async "212.107.32.196" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_everyday $login $passwd $numero $mensaje $count $conexion 7"
   }
}

7 {
   fconfigure $conexion -blocking 1
   set galleta [cookie galleta]
   puts $conexion "POST /index.phtml HTTP/1.0"
   puts $conexion "Referer: http://sms.es.everyday.com/index.phtml"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: sms.es.everyday.com"
   set linea "message=$mensaje&gsmnumber=%2B34$numero&fromname=&send_sms=Enviar"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: ApacheEE=$galleta; BrowserDetect=passed"
   puts $conexion ""
   puts $conexion $linea
   puts $conexion "POST /index.phtml HTTP/1.0"
   puts $conexion "Referer: http://sms.es.everyday.com/index.phtml"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: sms.es.everyday.com"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: ApacheEE=$galleta; BrowserDetect=passed"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_everyday $login $passwd $numero $mensaje $count $conexion 8"
}

8 {
  #El filtro es Forbbiden
  #Los puntos estan en la linea siguiente a una q contiene Mis Puntos
    if {[eof $conexion]} {
     close $conexion
     cancelar 0
     barra_estado "Enviado!"
     debug "\n\n"
     barra_progreso [expr 600 / 6]
     tk_messageBox -type ok -message "El mensaje ha sido enviado con exito."
     boton_enviar normal
     boton_contar normal
     boton_cancelar disabled
     barra_estado "LinSMS Version $ver"
   } else {
     set linea_entrada [gets $conexion]
     debug $linea_entrada
   }
}
} ;#fin switch
};# Fin EnviaSMS con Everyday


#########################################
# Envia SMS con Amena (Reg.)            #
#########################################

proc envia_sms_amena { login passwd numero mensaje count conexion estado} {
global ver

switch -exact -- $estado {
0 {
   borra_cookies
   set error 0
   set mensaje [traduce $mensaje "amena"]
   boton_enviar disabled
   boton_contar disabled
   boton_cancelar normal

   .dos.debug delete 0.0 end
#Envio 1/4
   barra_progreso [expr 100 / 6]
   barra_estado "Conectando..."
   debug "Conectando..."
   if {[catch { set conexion [socket -async "62.81.235.8" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_amena $login $passwd $numero $mensaje $count $conexion 1"
   }
}

1 {
   fconfigure $conexion -blocking 1
   barra_estado "Conectado!"
   debug "Conectado!"
   barra_progreso [expr 200 / 6]
   puts $conexion "POST http://www.amena.com/sms_login HTTP/1.0"
   puts $conexion "Referer: http://www.amena.com/login_y_password/sms_login1.html"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: www.amena.com"
   set linea usu=$login&clave=$passwd&url=%2Flogin_y_password%2Fsms_login2.html"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: SESSION_GO=/sms_amena/refer.html"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "fileevent $conexion writable \"\" ;envia_sms_amena $login $passwd $numero $mensaje $count $conexion 2"
}

2 {
   set filtro {([S][E][S][S][I][O][N][_][U][S][E][R][_][I][D][=])(([0-9]|[a-z])+)}
   set filtro2 {([s][s][=])(([0-9]|[a-z])+)}
   set SUI ""
   set ss ""
   if {[eof $conexion]} {
   close $conexion
   cancelar 0
   envia_sms_amena $login $passwd $numero $mensaje $count 0 3
   } else {
   set linea_entrada [gets $conexion]
   if {[string compare "" $linea_entrada]!=0} {
     debug $linea_entrada
     if {[regexp $filtro $linea_entrada tmp pillado SUI]==1} {
       debug "SUI conseguido:$SUI"
       set_cookie SUI $SUI
       }
     if {[regexp $filtro2 $linea_entrada tmp pillado ss]==1} {
       debug "ss conseguido:$ss"
       set_cookie ss $ss
       }
     }
   }
}

3 {
#Envio 2/4
   set error 0
   barra_estado "Login..."
   debug "Login..."
   if {[catch { set conexion [socket -async "62.81.235.8" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ; envia_sms_amena $login $passwd $numero $mensaje $count $conexion 4"
     }
}

4 {
   set SUI [cookie SUI]
   set ss [cookie ss]
   barra_progreso [expr 300 / 6]
   puts $conexion "GET http://www.amena.com/smspremium/index.html?user=$SUI HTTP/1.0"
   puts $conexion "Host: www.amena.com"
   puts $conexion "Cookie: SESSION_GO=/sms_amena/refer.html; ref_cookie=ingles.amena.com,integracion.amena.com,eresmas.amena.com,am10.mad.eresmas.com,www.amena.com,deve.amena.com,tsamena.amena.com,amenaok.eresmas.com,mail.amenate.com,sms.amenate.com,www.amenapolis.com,amenapolisbs.com,beatles.cselt.it,finedelcookie; SESSION_USER_ID=656238153; ss=$ss"
   puts $conexion ""
   puts $conexion "GET http://www.amena.com/smspremium/index.html?user=$SUI HTTP/1.0"
   puts $conexion "Host: www.amena.com"
   puts $conexion "Cookie: SESSION_GO=/sms_amena/refer.html; ref_cookie=ingles.amena.com,integracion.amena.com,eresmas.amena.com,am10.mad.eresmas.com,www.amena.com,deve.amena.com,tsamena.amena.com,amenaok.eresmas.com,mail.amenate.com,sms.amenate.com,www.amenapolis.com,amenapolisbs.com,beatles.cselt.it,finedelcookie; SESSION_USER_ID=656238153; ss=$ss"
   puts $conexion ""
   flush $conexion
   barra_estado "Esperando NETSCAPE_LIVEWIRE_ID"
   debug "Esperando NETSCAPE_LIVEWIRE_ID"
   fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
   fileevent $conexion readable "fileevent $conexion writable \"\" ;envia_sms_amena $login $passwd $numero $mensaje $count $conexion 5"
   
}

5 {
   set filtro {([N][E][T][S][C][A][P][E][_][L][I][V][E][W][I][R][E][_][I][D][=])(([0-9]|[a-z]|[A-Z])+)}
   set nl ""
   if {[eof $conexion]} {
   close $conexion
   cancelar 0
   envia_sms_amena $login $passwd $numero $mensaje $count 0 6 ;#enviar a error
   } else {
   set linea_entrada [gets $conexion]
   debug $linea_entrada
   if {[regexp $filtro $linea_entrada tmp pillado nl]==1} {
     debug "NETSCAPE_LIVEWIRE_ID conseguido:$nl"
     set_cookie nl $nl
     close $conexion
     cancelar 0
     envia_sms_amena $login $passwd $numero $mensaje $count 0 6 ;#correcto!
     }
   }
}

6 {
#Envio 3/4
   set error 0
   if {[catch { set conexion [socket -async "62.81.235.8" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_amena $login $passwd $numero $mensaje $count $conexion 7"
   }
}

7 {
   barra_estado "Conectando..."
   debug "Conectando..."
   fconfigure $conexion -blocking 1
   set SUI [cookie SUI]
   set ss [cookie ss]
   set nl [cookie nl]
   barra_progreso [expr 400 / 6]
   puts $conexion "GET http://www.amena.com/smspremium/page.html?user=$SUI HTTP/1.0"
   puts $conexion "Referer: http://www.amena.com/smspremium/index.html?user=$SUI"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: www.amena.com"
   puts $conexion "Cookie: NETSCAPE_LIVEWIRE_ID=$nl; SESSION_GO=/sms_amena/refer.html; ref_cookie=ingles.amena.com,integracion.amena.com,eresmas.amena.com,am10.mad.eresmas.com,www.amena.com,deve.amena.com,tsamena.amena.com,amenaok.eresmas.com,mail.amenate.com,sms.amenate.com,www.amenapolis.com,amenapolisbs.com,beatles.cselt.it,finedelcookie; SESSION_USER_ID=$SUI; ss=$ss"
   puts $conexion ""
   puts $conexion "GET http://www.amena.com/smspremium/page.html?user=$SUI HTTP/1.0"
   puts $conexion "Referer: http://www.amena.com/smspremium/index.html?user=$SUI"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: www.amena.com"
   puts $conexion "Cookie: NETSCAPE_LIVEWIRE_ID=$nl; SESSION_GO=/sms_amena/refer.html; ref_cookie=ingles.amena.com,integracion.amena.com,eresmas.amena.com,am10.mad.eresmas.com,www.amena.com,deve.amena.com,tsamena.amena.com,amenaok.eresmas.com,mail.amenate.com,sms.amenate.com,www.amenapolis.com,amenapolisbs.com,beatles.cselt.it,finedelcookie; SESSION_USER_ID=$SUI; ss=$ss"
   puts $conexion ""
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "fileevent $conexion writable \"\" ;envia_sms_amena $login $passwd $numero $mensaje $count $conexion 8"
}

8 {
   if {[eof $conexion]} {
     close $conexion
     cancelar 0
     envia_sms_amena $login $passwd $numero $mensaje $count 0 9 ;#enviar a error
   } else {
     set linea_entrada [gets $conexion]
     close $conexion
     cancelar 0
     envia_sms_amena $login $passwd $numero $mensaje $count 0 9
   }
}

9 {
#Envio 4/4
   set error 0
   if {[catch { set conexion [socket "62.81.235.8" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 13
		}

   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_amena $login $passwd $numero $mensaje $count $conexion 10"
   }
}

10 {
   fconfigure $conexion -blocking 1
   set SUI [cookie SUI]
   set ss [cookie ss]
   set nl [cookie nl]
   barra_progreso [expr 500 / 6]
   barra_estado "Enviando SMS!"
   debug "Enviando SMS!"
   puts $conexion "POST http://www.amena.com/smspremium/sendsms.html HTTP/1.0"
   puts $conexion "Referer: http://www.amena.com/smspremium/page.html?user=$SUI"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: www.amena.com"
   #En la siguiente linea firma indica si se manda con el numero del usuario o con el de amena
   set linea "from=$SUI&cook=true&senddate=&smspremiumcount=[string length $mensaje]&smspremiumdata=11579&remindercount=20&reminderdata=11580&maxmessaggexday=20&input_numero=&firma=on&numero=$numero&msg=$mensaje&ricevuta=off&combocategoria=&comboabreviatura=ABREVIATURAS"
   puts $linea
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: NETSCAPE_LIVEWIRE_ID=$nl; SITESERVER=ID=d07a107ca3e0434245e8ae7ed7b21610; SESSION_GO=/opinion/privado/i2r/amena_opinion/enviar_sms; ref_cookie=ingles.amena.com,integracion.amena.com,eresmas.amena.com,am10.mad.eresmas.com,www.amena.com,deve.amena.com,tsamena.amena.com,amenaok.eresmas.com,mail.amenate.com,sms.amenate.com,www.amenapolis.com,amenapolisbs.com,beatles.cselt.it,finedelcookie; SESSION_USER_ID=$SUI; ss=$ss"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "fileevent $conexion writable \"\" ;envia_sms_amena $login $passwd $numero $mensaje $count $conexion 11"
}

11 {
   if {[eof $conexion]} {
     close $conexion
     cancelar 0
     barra_estado "Enviado!"
     debug "\n\n"
     barra_progreso [expr 600 / 6]
     tk_messageBox -type ok -message "El mensaje ha sido enviado con exito."
     boton_enviar normal
     boton_contar normal
     boton_cancelar disabled
     barra_estado "LinSMS Version $ver"
   } else {
     set linea_entrada [gets $conexion]
   }
}
} ;#fin switch
} ;#fin envia_sms_amena

#########################################
# Envia SMS con Vodafone                #
#########################################

proc envia_sms_vodafone { login passwd numero mensaje count conexion estado} {

#estados:
#0 empezando primera ejecucion
#1 esperando a que se hayan mandado los datos
#2 reciviendo 1/1
#3 acabado no se ha recibido okSMS
#4 acabado se ha recibido okSMS


switch -exact -- $estado {
0 {
set error 0
set mensaje [traduce $mensaje vodafone]

puts stdout "dentro del 0"
   boton_enviar disabled
   boton_contar disabled
   boton_cancelar normal
   .dos.debug delete 0.0 end
#Envio 1/1
   barra_progreso [expr 100 / 3]
   barra_estado "Conectando..."
   .dos.debug insert end "\nConectando..."
   .dos.debug see end
   if {[catch { set conexion [socket -async "212.73.32.54" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}

   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_vodafone $login $passwd $numero $mensaje $count $conexion 1"
   }
}

1 {
   fconfigure $conexion -blocking 1
   barra_estado "Conectado!"
   debug "Conectado!"
   barra_progreso [expr 200 / 3]

   puts $conexion "POST /cgi-bin/cgi-airt HTTP/1.0"
   puts $conexion "Referer: http://sms.airtelvodafone.com/Vodafone/sms/IndexSMS"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: 212.73.32.54"
   set linea "mBody=$mensaje&tNumber=$numero"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_vodafone $login $passwd $numero $mensaje $count $conexion 2"
   puts stdout "datos enviados"
}

2 {
puts stdout "dentro del 2"
   set filtro {([O][k][S][M][S])}
   if {[eof $conexion]} {
	envia_sms_vodafone $login $passwd $numero $mensaje $count $conexion 3
	} else {
	set linea entrada [gets $conexion]
	if {[ regexp $filtro $linea_entrada tmp pillado sid]==1 } {
	   envia_sms_vodafone $login $passwd $numero $mensaje $count $conexion 4
	   }
	}
}

3 {
puts stdout "dentro del 3"
   tk_messageBox -type ok -icon error -message "El mensaje no se ha podido enviar."
   boton_cancelar disabled
   boton_enviar normal
   boton_contar normal
   }
4 {
puts stdout "dentro del 4"
   barra_estado "Enviado!"
   barra_progreso [expr 400 / 4]
   tk_messageBox -type ok -message "El mensaje ha sido enviado con exito."
   boton_cancelar disabled
   boton_enviar normal
   boton_contar normal
}

}
#fin del switch
puts stdout "salgo del envia_sms_vodafone"
}
#fin del envia_sms_vodafone


#########################################
# Envia SMS con Navegalia               #
#########################################

proc envia_sms_navegalia { login passwd numero mensaje count conexion estado} {
global ver

#estados:
#0 primera ejecucion -> primera conexion (1/2)
#1 esperando q se pueda enviar
#2 primer envio (1/2)
#3 esperando q termine el primer envio
#4 esperando cookie (1/2)
#5 segunda conexion (2/2)
#6 esperando q se pueda enviar
#7 segundo envio (2/2)
#8 esperando q termine el segundo envio
#9 esperanto datos del envio (2/2)


switch -exact -- $estado {
0 {
   borra_cookies
   set error 0
   set mensaje [traduce $mensaje navegalia]
   boton_cancelar normal
   boton_enviar disabled
   boton_contar disabled

   .dos.debug delete 0.0 end
#Envio 1/2
   barra_progreso [expr 100 / 4]
   barra_estado "Conectando..."
   debug "Conectando..."
   if {[catch { set conexion [socket -async "212.73.32.154" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_navegalia $login $passwd $numero $mensaje $count $conexion 1"
   }
}

1 {
   fconfigure $conexion -blocking 1
   barra_estado "Conectado!"
   debug "Conectado!"
   barra_progreso [expr 200 / 4]
   puts $conexion "POST http://www.navegalia.com/cgi-bin/login_WM.cgi HTTP/1.0"
   puts $conexion "Referer: http://www.vizzavi.es/Channels/New_Navegalia/lanzaForm_reg/1,,correo,00.html?datos=blablablabla"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: www.navegalia.com"
   set linea "usuario=$login&clave=$passwd&gama=2&retorno=http%3A%2F%2Fwww.vizzavi.es"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_navegalia $login $passwd $numero $mensaje $count $conexion 2"
}

2 {
   set filtro {([s][i][d][=])(([0-9]|[a-z])+)}
   if {[eof $conexion]} {
     #si hemos llegado hasta aqui es pq no hemos cogido la cookie :( dar mensaje de error
     #cerrar y restablecer :(
     close $conexion
     cancelar 0
     envia_sms_navegalia $login $passwd $numero $mensaje $count 0 3;#Enviar a un estado de error
   } else {
     set linea_entrada [gets $conexion]
     debug $linea_entrada
     if {[ regexp $filtro $linea_entrada tmp pillado sid]==1 } {
       debug "sid cogido:$sid"
       set_cookie sid $sid
       cancelar 0
       close $conexion
       envia_sms_navegalia $login $passwd $numero $mensaje $count $conexion 3
       }
   }
}

3 {
#Envio 2/2
   set error 0
   barra_estado "Enviando"
   debug "Enviando..."

   if {[catch { set conexion [socket -async "212.73.32.217" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
   cancelar $conexion
   fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
   fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_navegalia $login $passwd $numero $mensaje $count $conexion 4"
   }
}

4 {
   set sid [cookie sid]
   fconfigure $conexion -blocking 1
   barra_progreso [expr 300 / 4]
   puts $conexion "POST /msg.msc HTTP/1.0"
   puts $conexion "Referer: http://webmail6.navegalia.com/frame.html"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Close"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: webmail6.navegalia.com"
   set linea "sid=$sid&subject=&to=$numero@x25.airtelmovil.net&cc=&bcc=&text=$mensaje&mbox=INBOX&uid=0&parts=&answer=false&attachments=&copy=&smtp=true&draft=&priority=3&receipt=&remove=false&replyto=&tzoffset=-2&security=true&vcard="
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: mGamaColores=2; mProcedencia=http%3A%2F%2Fwww.vizzavi.es"
   puts $conexion ""
   puts $conexion $linea

   puts $conexion "POST /msg.msc HTTP/1.0"
   puts $conexion "Referer: http://webmail6.navegalia.com/frame.html"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Close"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: webmail6.navegalia.com"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: mGamaColores=2; mProcedencia=http%3A%2F%2Fwww.vizzavi.es"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion

   barra_estado "Enviado"
   barra_estado "Enviado"
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_navegalia $login $passwd $numero $mensaje $count $conexion 5"
}

5 {
   set linea_entrada [gets $conexion]
   puts stdout "linea:$linea_entrada"
   debug $linea_entrada
   if {[eof $conexion]} {
     close $conexion
     cancelar 0
     barra_estado "Enviado!"
     debug "\n\n"
     barra_progreso [expr 400 / 4]
     tk_messageBox -type ok -message "El mensaje ha sido enviado con exito."
     boton_enviar normal
     boton_contar normal
     boton_cancelar disabled
     barra_estado "LinSMS Version $ver"
     }
  } ;# 5
} ;# switch
} ;# envia_sms_navegalia

#########################################
# Envia SMS con Gomobile               #
#########################################

proc envia_sms_gomobile { login passwd numero mensaje count conexion estado} {
global ver

switch -exact -- $estado {
0 {
   borra_cookies
   set error 0
   set mensaje [traduce $mensaje "gomobile"]
   boton_enviar disabled
   boton_contar disabled
   boton_cancelar normal

   .dos.debug delete 0.0 end
#Envio 1/2
   barra_progreso [expr 100 / 4]
   barra_estado "Conectando..."
   debug "Conectando..."
   if {[catch { set conexion [socket "138.188.101.41" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
   if { !($error) } {
     cancelar $conexion
     fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
     fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_navegalia $login $passwd $numero $mensaje $count $conexion 1"
   }
}

1 {
   fconfigure $conexion -blocking 1
   barra_estado "Conectado!"
   debug "Conectado!"
   barra_progreso [expr 200 / 4]
   puts $conexion "POST http://www.gomobile.ch/Portal?cmd=procLogin HTTP/1.0"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Referer: http://www.gomobile.ch/Portal?cmd=GenHomepage"
   puts $conexion "Host: www.gomobile.ch"
   set linea "cmd=procLogin&userName=$login&password=$passwd"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_gomobile $login $passwd $numero $mensaje $count $conexion 2"
}

2 {
   set filtro1 {([J][S][E][S][S][I][O][N][I][D][=])(([-]|[0-9]+))}
   set filtro2 {([S][A][_][U][S][E][R][_][a][a][a][.][c][l][a][s][s][=])(([-]|[0-9]+))}
   set filtro3 {([S][A][_][a][a][a][.][c][l][a][s][s][=])(([-]|[0-9]|[a-z])+)}
   set filtro4 {([S][A][_][E][n][c][_][a][a][a][.][c][l][a][s][s][=])(([-]|[0-9]+))}
   set JSESSIONID ""
   set user_class ""
   set aaa_class ""
   set enc_class ""

   if {[eof $conexion]} {
     close $conexion
     cancelar 0
     envia_sms_gomobile $login $passwd $numero $mensaje $count 0 3
   } else {
     if {[ regexp $filtro1 $linea_entrada tmp pillado JSESSIONID]==1 } {
       debug "\nJSESSIONID conseguido:$JSESSIONID"
       set_cookie JSESSIONID $JSESSIONID
       }
     if {[ regexp $filtro2 $linea_entrada tmp pillado user_class]==1 } {
       debug "\nSA_USER_aaa.class conseguido:$user_class"
       set_cookie user_class $user_class
       }
     if {[ regexp $filtro3 $linea_entrada tmp pillado aaa_class]==1 } {
       debug "\nSA_aaa.class conseguido:$aaa_class"
       set_cookie aaa_class $aaa_class
       }
     if {[ regexp $filtro4 $linea_entrada tmp pillado enc_class]==1 } {
       debug "\n SA_Enc_aaa.class conseguido:$enc_class"
       set_cookie enc_class $enc_class
       }
       debug $linea_entrada
#servira para controlar si no tenemos alguna de las cookies
#if {([string compare "" $JSESSIONID]==0)||([string compare "" $user_class]==0)||([string compare "" $aaa_class]==0)||([string compare "" $enc_class]==0)} {
#   set error 1
#   }
}

3 {
#Envio 2/2
   set error 0
   barra_estado "Enviando"
   debug "\nEnviando..."
   if {[catch { set conexion [socket "138.188.101.41" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}


   if { !($error) } {
   cancelar $conexion
   fconfigure $conexion -buffering none -translation {binary binary} -blocking 0
   fileevent $conexion writable "fileevent $conexion writable \"\" ;envia_sms_gomobile $login $passwd $numero $mensaje $count $conexion 4"
   }
}

4 {
   set JSESSIONID [cookie JSESIONID]
   set user_class [cookie user_class]
   set aaa_class [cookie aaa_class]
   set enc_class [cookie enc_class]

   barra_progreso [expr 300 / 4]
   puts $conexion "POST http://www.gomobile.ch/Portal HTTP/1.0"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Referer: http://www.gomobile.ch/Portal?cmd=startFreeSMS"
   puts $conexion "Host: www.gomobile.ch"
   set linea "cmd=procGenSendFreeSMS&abbreviations=&contacts=&abbreviationPage=1&address=0034$numero&abbreviation=Goodbye+for+ever%2C+boss%21+Just+won+the+lottery.&smstext=$mensaje&nSMS=1&emoticonSelection=%3A%29&smil=%3A%29"
   puts stdout $linea
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: SA_USER_aaa.class=$user_class; SA_aaa.class=$aaa_class; SA_Enc_aaa.class=$enc_class; JSESSIONID=$JSESSIONID; showPopupNew=noPopup"
   puts $conexion ""
   set linea2 "POST http://www.gomobile.ch/Portal HTTP/1.0"
   puts $conexion "$linea$linea2"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Referer: http://www.gomobile.ch/Portal?cmd=startFreeSMS"
   puts $conexion "Host: www.gomobile.ch"
   puts $conexion "Content-Length: [string length $linea]"
   puts $conexion "Cookie: SA_USER_aaa.class=$user_class; SA_aaa.class=$aaa_class; SA_Enc_aaa.class=$enc_class; JSESSIONID=$JSESSIONID; showPopupNew=noPopup"
   puts $conexion ""
   puts $conexion $linea
   flush $conexion

   barra_estado "Enviado"
   barra_estado "Enviado"
   fconfigure $conexion -blocking 0
   fileevent $conexion readable "envia_sms_gomobile $login $passwd $numero $mensaje $count $conexion 5"
}

5 {
   set linea_entrada [gets $conexion]
   puts stdout "linea:$linea_entrada"
   debug $linea_entrada
   if {[eof $conexion]} {
     close $conexion
     cancelar 0
     barra_estado "Enviado!"
     debug "\n\n"
     barra_progreso [expr 400 / 4]
     tk_messageBox -type ok -message "El mensaje ha sido enviado con exito."
     boton_enviar normal
     boton_contar normal
     boton_cancelar disabled
     barra_estado "LinSMS Version $ver"
     }
  } ;# 5
} ;# switch
} ;# envia_sms_gomobile
}
#########################################
# Cuenta cuantos SMS quedan             #
#########################################

proc cuantos_quedan_everyday {login passwd} {
tk_messageBox -type ok -message "No implementado"
}

proc cuantos_quedan_amena {login passwd} {
tk_messageBox -type ok -message "No implementado"
}

proc cuantos_quedan_vodafone {login passwd} {
tk_messageBox -type ok -message "No hay limite."
}

proc cuantos_quedan_navegalia {login passwd} {
tk_messageBox -type ok -message "No hay limite"
}

proc cuantos_quedan_gomobile {login passwd} {
tk_messageBox -type ok -message "No implementado"
}


proc cuantos_quedan_plugged {login passwd} {
set error 0
#desabilitar los dos botones.
boton_enviar disabled
boton_contar disabled
#   boton_enviar disabled
   set respuesta ""
   .dos.debug delete 0.0 end
   .dos.debug see end
#Envio 1/3
   barra_progreso [expr 100 / 5]
   barra_estado "Conectando..."
   .dos.debug insert end "\nConectando..."
   .dos.debug see end
if {[catch { set conexion [socket "195.14.149.21" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}

if { !($error) } {
   barra_estado "Conectado!"
   barra_progreso [expr 100 / 5]
   puts $conexion "GET http://www.wanadoo.com.lb/sms/default.asp?language=1 HTTP/1.0\n"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*\n"
   puts $conexion "Accept-Language: es\n"
   puts $conexion "Content-Type: application/x-www-form-urlencoded\n"
   puts $conexion "Accept-Encoding: gzip, deflate\n"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)\n"
   puts $conexion "Connection: Keep-Alive\n"
   puts $conexion "Pragma: no-cache\n"
   puts $conexion "Host: www.wanadoo.com.lb\n"

   flush $conexion

   barra_estado "Esperando Cookie..."
   .dos.debug insert end "\nEsperando Cookie..."
   .dos.debug see end

   set galleta ""
   set salir 0
   while { !($salir) } {
   	  update idletasks
          if {[catch { set linea_entrada [gets $conexion]
                       if { [ string compare $linea_entrada "" ]!=0 } {
		           if {[string compare $linea_entrada "Set-Cookie" ]==1 } {
			      set galleta [ string range $linea_entrada 12 [expr [string length $linea_entrada] -9]]
			      .dos.debug insert end "\nGalleta conseguida!"
			      .dos.debug see end
			      }
                           .dos.debug insert end "\n$linea_entrada"
			   .dos.debug see end
                           append respuesta "$linea_entrada\n"
                          }
             } excep_error]} { set salir 1; .dos.debug insert end "\n$error" ; .dos.debug see end }
          if {[eof $conexion]} {
		set salir 1
		}
         }

   close $conexion
   if { [ string compare $galleta "" ]==0} {
   	set error 1
	tk_messageBox -type ok -message "No se pudo recoger la Cookie."
	} else {.dos.debug insert end "\nCookie recogida:$galleta"
		.dos.debug see end}

}
#Envio 2/3
if { !($error) } {




   barra_estado "Login..."
   .dos.debug insert end "\nLogin..."
   .dos.debug see end
if {[catch { set conexion [socket "195.14.149.21" "80"]
	} excep_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}


if { !($error) } {

    barra_progreso [expr 300 / 5]
    puts $conexion "POST http://www.wanadoo.com.lb/signin.asp?signin=1&language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1 HTTP/1.0"
    puts $conexion "Referer: http://www.wanadoo.com.lb/signin.asp?language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1"
    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
    puts $conexion "Accept-Language: es"
    puts $conexion "Content-Type: application/x-www-form-urlencoded"
    puts $conexion "Accept-Encoding: gzip, deflate"
    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
    puts $conexion "Connection: Keep-Alive"
    puts $conexion "Pragma: no-cache"
    puts $conexion "Host: www.wanadoo.com.lb"
    set linea "MemberName=$login&Password=$passwd"
    puts $conexion "Content-Length: [string length $linea]"
    puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1"
    puts $conexion ""
    set linea2 "POST http://www.wanadoo.com.lb/signin.asp?signin=1&language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1 HTTP/1.0"
    set linea2 $linea$linea2
    puts $conexion $linea2
    puts $conexion "Referer: http://www.wanadoo.com.lb/signin.asp?language=1&destination=%2Fsms%2Fdefault%2Easp%3Flanguage%3D1"
    puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
    puts $conexion "Accept-Language: es"
    puts $conexion "Content-Type: application/x-www-form-urlencoded"
    puts $conexion "Accept-Encoding: gzip, deflate"
    puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
    puts $conexion "Connection: Keep-Alive"
    puts $conexion "Pragma: no-cache"
    puts $conexion "Host: www.wanadoo.com.lb"
    puts $conexion "Content-Length: [ string length $linea ]"
    puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1"
    puts $conexion ""
    puts $conexion $linea2
   flush $conexion
   .dos.debug insert end "\nEsperando login..."
   .dos.debug see end
   barra_estado "Esperando login..."
   #Para buscar SigninUserName
   set filtro {([S][i][g][n][i][n][U][s][e][r][N][a][m][e]['][,]['])(([0-9]|[a-z])+)}
   set salir 0
   set sun ""
   while { !($salir) } {
   	  update idletasks
          if {[catch { set linea_entrada [gets $conexion]
                       if { [ string compare $linea_entrada "" ]!=0 } {
		           #Hay que buscar SigninUserName
			   if {[ regexp $filtro $linea_entrada tmp pillado sun coma]==1 } {
			      .dos.debug insert end "\nSiginUserName conseguido:$sun"
			      .dos.debug see end
			      set salir 1;
			      }
                           .dos.debug insert end "\n$linea_entrada"
			   .dos.debug see end
                           append respuesta "$linea_entrada\n"
                          }
             } excep_error]} { set salir 1; .dos.debug insert end  "\n$error" ;.dos.debug see end}
          if {[eof $conexion]} {puts stdout "SALIMOS";set salir 1}
         };#  While
   close $conexion
   if {[string compare $sun ""]==0} {
   	set error 1
   	tk_messageBox -type ok -message "No se ha podido hacer login. Quiza te equivocaste en tu login o password."
   	} else {
   	barra_estado "Logeado!"
   	.dos.debug insert end "\nLogeado!"
	.dos.debug see end
	}

};#if error de conexion
};#if error anterior
#Envio 3/3
if { !($error) } {

   barra_progreso [expr 400 / 5]
   barra_estado "Accediendo a SMS..."
   .dos.debug insert end "\nAccediendo a SMS..."
   .dos.debug see end
if {[catch { set conexion [socket "195.14.149.21" "80"]
	} except_error]} {
		tk_messageBox -type ok -message "No se pudo establecer conexion con el servidor."
		set error 1
		}
if { !($error) } {

   puts $conexion "GET http://www.wanadoo.com.lb/sms/default.asp?language=1 HTTP/1.0"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: www.wanadoo.com.lb"
   puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1; SigninUserName=$sun"
   puts $conexion ""
   puts $conexion "GET http://www.wanadoo.com.lb/sms/default.asp?language=1 HTTP/1.0"
   puts $conexion "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"
   puts $conexion "Accept-Language: es"
   puts $conexion "Content-Type: application/x-www-form-urlencoded"
   puts $conexion "Accept-Encoding: gzip, deflate"
   puts $conexion "User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)"
   puts $conexion "Connection: Keep-Alive"
   puts $conexion "Pragma: no-cache"
   puts $conexion "Host: www.wanadoo.com.lb"
   puts $conexion "Cookie: $galleta; wanadoolebanonLanguage=1; SigninUserName=$sun"
   puts $conexion ""
   flush $conexion
   .dos.debug insert end "\nEsperando ID"
   .dos.debug see end
   barra_estado "Contando SMS"

   set filtro {([O][p][e][n][H][i][s][t][o][r][y])([0-9]+)}
   set salir 0
   set id 0
   while { !($salir) } {
   	  update idletasks
          if {[catch { set linea_entrada [gets $conexion]
                       if { [ string compare $linea_entrada "" ]!=0 } {
		           if {[ regexp $filtro $linea_entrada tmp pillado id]==1 } {
			      .dos.debug insert end "\nContados:$id SMS"
			      .dos.debug see end
			      }
                           .dos.debug insert end "\n$linea_entrada"
			   .dos.debug see end
                           append respuesta "$linea_entrada\n"
                          }
             } excep_error]} { set salir 1; .dos.debug insert end "\n$error" ;.dos.debug see end}
          if {[eof $conexion]} {set salir 1}
         }
   close $conexion
	.dos.debug insert end "Te quedan [expr 5 - $id] SMS\n\n\n"
	.dos.debug see end
	# que lo ponga en el boton.uno.fenvia.bcontar
	.uno.fenvia.bcontar configure -text "Quedan\n[expr 5 - $id]\nSMS"
   barra_progreso [expr 500 / 5]
};#if error conexion
};#if error anterior

#habilitar botones
boton_enviar normal
boton_contar normal


};#fin de cuantos_quedan_plugged
