
#############################################################################
# Visual Tcl v1.20 Project
#

#################################
# GLOBAL VARIABLES
#
global fondo;
global letras;
global widget;

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
	if {$base == ""} {
		set base .
	}
	###################
	# CREATING WIDGETS
	###################
	wm focusmodel $base passive
	wm geometry $base 1x1+0+0
	wm maxsize $base 1009 738
	wm minsize $base 1 1
	wm overrideredirect $base 0
	wm resizable $base 1 1
	wm withdraw $base
	wm title $base "vt.tcl"
	###################
	# SETTING GEOMETRY
	###################
}
proc colores {letras fondo widg} {
global salir

proc vTclWindow.top17 {base widg} {
global salir


	if {$base == ""} {
		set base .top17
	}
	if {[winfo exists $base]} {
		wm deiconify $base; return
	}
	###################
	# CREATING WIDGETS
	###################

	toplevel $base -class Toplevel
	wm focusmodel $base passive
	wm geometry $base 283x331+363+348
	wm maxsize $base 1009 738
	wm minsize $base 1 1
	wm overrideredirect $base 0
	wm resizable $base 0 0
	wm deiconify $base
	wm title $base "Colores"
	frame $base.fra18 \
        -borderwidth 2 -height 75 -relief groove -width 125
#para q valga para diferentes widgets aadir aqui lo q corresponda
	switch -exact -- $widg {
	   "text" {
	          text $base.fra18.widget36
	          $base.fra18.widget36 insert 0.0 "Texto de Ejemplo."
	          }
	   default {puts "cagada"}
	}


	frame $base.fra20 \
        -borderwidth 2 -height 75 -relief groove -width 125
	frame $base.fra20.fra21 \
        -borderwidth 2 -height 75 -relief groove -width 125
	label $base.fra20.fra21.lab23 \
        -borderwidth 1 -relief raised -text Letras
	radiobutton $base.fra20.fra21.rad24 \
        -command {.top17.fra18.widget36 configure -fg white} -text Blanco \
        -value blanco -variable varletras
	radiobutton $base.fra20.fra21.rad25 \
        -command {.top17.fra18.widget36 configure -fg black} -text Negro \
        -value negro -variable varletras
	radiobutton $base.fra20.fra21.rad26 \
        -command {.top17.fra18.widget36 configure -fg green} -text Verde \
        -value verde -variable varletras
	radiobutton $base.fra20.fra21.rad27 \
        \
        -command {.top17.fra18.widget36 configure -fg [.top17.fra20.fra21.but18 cget -text]} \
        -text Otro -value otro -variable varletras
	button $base.fra20.fra21.but18 \
        \
        -command {.top17.fra20.fra21.but18 configure -text [tk_chooseColor]
.top17.fra18.widget36 configure -fg [.top17.fra20.fra21.but18 cget -text]} \
        -text #82d7d6
	frame $base.fra20.fra29 \
        -borderwidth 2 -height 75 -relief groove -width 125
	label $base.fra20.fra29.01 \
        -borderwidth 1 -relief raised -text Fondo
	radiobutton $base.fra20.fra29.02 \
        -command {.top17.fra18.widget36 configure -bg white} -text Blanco \
        -value blanco -variable varfondo
	radiobutton $base.fra20.fra29.03 \
        -command {.top17.fra18.widget36 configure -bg black} -text Negro \
        -value negro -variable varfondo
	radiobutton $base.fra20.fra29.04 \
        -command {.top17.fra18.widget36 configure -bg green} -text Verde \
        -value verde -variable varfondo
	radiobutton $base.fra20.fra29.05 \
        \
        -command {.top17.fra18.widget36 configure -bg [.top17.fra20.fra29.but19 cget -text]} \
        -text Otro -value otro -variable varfondo
	button $base.fra20.fra29.but19 \
        \
        -command {.top17.fra20.fra29.but19 configure -text [tk_chooseColor]
.top17.fra18.widget36 configure -bg [.top17.fra20.fra29.but19 cget -text]} \
        -text #84f2a6
	button $base.but34 \
        -text Aceptar -command {set salir 1}
	button $base.but35 \
        -text Cancelar -command {set salir 0}
	###################
	# SETTING GEOMETRY
	###################
	place $base.fra18 \
        -x 5 -y 155 -width 275 -height 125 -anchor nw -bordermode ignore
	place $base.fra18.widget36 \
        -x 5 -y 5 -width 263 -height 114 -anchor nw -bordermode ignore
	place $base.fra20 \
        -x 5 -y 5 -width 275 -height 150 -anchor nw -bordermode ignore
	place $base.fra20.fra21 \
        -x 10 -y 5 -width 125 -height 140 -anchor nw -bordermode ignore
	place $base.fra20.fra21.lab23 \
        -x 5 -y 5 -anchor nw -bordermode ignore
	place $base.fra20.fra21.rad24 \
        -x 5 -y 25 -anchor nw -bordermode ignore
	place $base.fra20.fra21.rad25 \
        -x 5 -y 45 -anchor nw -bordermode ignore
	place $base.fra20.fra21.rad26 \
        -x 5 -y 65 -anchor nw -bordermode ignore
	place $base.fra20.fra21.rad27 \
        -x 5 -y 95 -anchor nw -bordermode ignore
	place $base.fra20.fra21.but18 \
        -x 60 -y 95 -width 59 -height 26 -anchor nw -bordermode ignore
	place $base.fra20.fra29 \
        -x 145 -y 5 -width 125 -height 140 -anchor nw -bordermode ignore
	place $base.fra20.fra29.01 \
        -x 5 -y 5 -anchor nw -bordermode ignore
	place $base.fra20.fra29.02 \
        -x 5 -y 25 -anchor nw -bordermode ignore
	place $base.fra20.fra29.03 \
        -x 5 -y 45 -anchor nw -bordermode ignore
	place $base.fra20.fra29.04 \
        -x 5 -y 65 -anchor nw -bordermode ignore
	place $base.fra20.fra29.05 \
        -x 5 -y 95 -anchor nw -bordermode ignore
	place $base.fra20.fra29.but19 \
        -x 60 -y 95 -width 59 -height 26 -anchor nw -bordermode ignore
	place $base.but34 \
        -x 15 -y 290 -anchor nw -bordermode ignore
	place $base.but35 \
        -x 190 -y 290 -anchor nw -bordermode ignore

	bind .top17 <Escape> {set salir 0}
}
#Acciones

	vTclWindow.top17 "" $widg
	.top17.fra20.fra21.but18 configure -text $letras
	.top17.fra20.fra29.but19 configure -text $fondo
	.top17.fra18.widget36 configure -fg $letras
	.top17.fra18.widget36 configure -bg $fondo
#Para no devolver el valor hasta que se seleccione el color:

	tkwait variable salir

	if {($salir==1)} {
	   lappend colores [.top17.fra18.widget36 cget -fg]
	   lappend colores [.top17.fra18.widget36 cget -bg]
	   } else {
	   lappend colores $letras
	   lappend colores $fondo
	   }
	destroy .top17
	return $colores

}


